Package com.mapd.thrift.server

## Class TDBInfo

- java.lang.Object
- - com.mapd.thrift.server.TDBInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDBInfo>`, `org.apache.thrift.TBase<TDBInfo,​TDBInfo._Fields>`, `org.apache.thrift.TSerializable`

    public class TDBInfo
    extends Object
    implements org.apache.thrift.TBase<TDBInfo,​TDBInfo._Fields>, Serializable, Cloneable, Comparable<TDBInfo>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDBInfo._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `db_name`
`String` `db_owner`
`static Map<TDBInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
`TDBInfo()`
`TDBInfo​(TDBInfo other)` Performs a deep copy on other.
`TDBInfo​(String db_name, String db_owner)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDBInfo other)`
`TDBInfo` `deepCopy()`
`boolean` `equals​(TDBInfo that)`
`boolean` `equals​(Object that)`
`TDBInfo._Fields` `fieldForId​(int fieldId)`
`String` `getDb_name()`
`String` `getDb_owner()`
`Object` `getFieldValue​(TDBInfo._Fields field)`
`int` `hashCode()`
`boolean` `isSet​(TDBInfo._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetDb_name()` Returns true if field db_name is set (has been assigned a value) and false otherwise
`boolean` `isSetDb_owner()` Returns true if field db_owner is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDBInfo` `setDb_name​(String db_name)`
`void` `setDb_nameIsSet​(boolean value)`
`TDBInfo` `setDb_owner​(String db_owner)`
`void` `setDb_ownerIsSet​(boolean value)`
`void` `setFieldValue​(TDBInfo._Fields field, Object value)`
`String` `toString()`
`void` `unsetDb_name()`
`void` `unsetDb_owner()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### db_name

    public String db_name

#### db_owner

    public String db_owner

#### metaDataMap

    public static final Map<TDBInfo._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDBInfo

    public TDBInfo()

#### TDBInfo

    public TDBInfo​(String db_name,
                   String db_owner)

#### TDBInfo

    public TDBInfo​(TDBInfo other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDBInfo deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDBInfo,​TDBInfo._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDBInfo,​TDBInfo._Fields>`

#### getDb_name

    public String getDb_name()

#### setDb_name

    public TDBInfo setDb_name​(String db_name)

#### unsetDb_name

    public void unsetDb_name()

#### isSetDb_name

    public boolean isSetDb_name()

Returns true if field db_name is set (has been assigned a value) and false otherwise

#### setDb_nameIsSet

    public void setDb_nameIsSet​(boolean value)

#### getDb_owner

    public String getDb_owner()

#### setDb_owner

    public TDBInfo setDb_owner​(String db_owner)

#### unsetDb_owner

    public void unsetDb_owner()

#### isSetDb_owner

    public boolean isSetDb_owner()

Returns true if field db_owner is set (has been assigned a value) and false otherwise

#### setDb_ownerIsSet

    public void setDb_ownerIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDBInfo._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDBInfo,​TDBInfo._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDBInfo._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDBInfo,​TDBInfo._Fields>`

#### isSet

    public boolean isSet​(TDBInfo._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDBInfo,​TDBInfo._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDBInfo that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDBInfo other)

Specified by:
  `compareTo` in interface `Comparable<TDBInfo>`

#### fieldForId

    public TDBInfo._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDBInfo,​TDBInfo._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`